package _VisualDVM.Visual.Menus;
import Common.MainModule_;
import Common.Visual.Fonts.VisualiserFonts;
import Common.Visual.Menus.DataMenuBar;
import Common.Visual.Menus.VisualiserMenu;
import _VisualDVM.Global;
import _VisualDVM.Passes.PassCode;
public class ComponentsMenuBar extends DataMenuBar {
    public ComponentsMenuBar() {
        super("компоненты");
        addMenus(
                new VisualiserMenu(
                        "Восстановление предыдущей версии компонента", "/icons/Resurrect.png") {
                    {
                        setFont(MainModule_.instance.getUI().getTheme().Fonts.get(VisualiserFonts.Menu));
                        add(Global.mainModule.getPass(PassCode.ResurrectComponent).createMenuItem());
                        add(Global.mainModule.getPass(PassCode.ResurrectComponentFromServer).createMenuItem());
                    }
                }
        );
        addPasses(PassCode.InstallComponentFromFolder,
                PassCode.UpdateSelectedComponents,
                PassCode.PublishComponent,
                PassCode.ShowComponentChangesLog);
        Global.mainModule.getPass(PassCode.PublishComponent).setControlsVisible(false);
    }
}
